<?
$make_admin_ashboard="
CREATE TABLE `admin_ashboard` (
  `no` int(10) unsigned NOT NULL auto_increment,
  `admin_id` int(11) NOT NULL default '1',
  `b_id` varchar(14) default NULL,
  `b_name` varchar(40) default NULL,
  `group_no` int(11) NOT NULL default '1',
  `b_total` int(10) NOT NULL default '0',
  `skin` varchar(120) default NULL,
  `bg_color` varchar(100) default NULL,
  `view_count` int(11) NOT NULL default '5',
  `cut_size` smallint(6) NOT NULL default '0',
  `allow_pds` smallint(6) NOT NULL default '0',
  `allow_ext` varchar(100) default NULL,
  `use_sort` char(1) NOT NULL default '0',
  `header_file` varchar(100) default NULL,
  `footer_file` varchar(100) default NULL,
  `header_file_txt` text,
  `footer_file_txt` text,
  `html` char(1) NOT NULL default '0',
  `allow_html_code` varchar(255) default NULL,
  `allow_html_level` smallint(6) NOT NULL default '9',
  `width` smallint(6) NOT NULL default '99',
  `allow_write` smallint(6) NOT NULL default '10',
  `allow_list` smallint(6) NOT NULL default '10',
  `allow_view` smallint(6) NOT NULL default '10',
  `allow_comment` smallint(6) NOT NULL default '10',
  `allow_reply` smallint(6) NOT NULL default '10',
  `allow_upload` smallint(6) NOT NULL default '10',
  `allow_download` smallint(6) NOT NULL default '10',
  `prev_next` char(1) NOT NULL default '0',
  `view_file_ext` varchar(100) NOT NULL default 'exe,zip,jpg,jpeg,gif,png',
  `view_list_type` char(1) NOT NULL default '0',
  `allow_upfilesize` int(11) NOT NULL default '0',
  `allow_totalupsize` int(11) NOT NULL default '0',
  `use_mailreport` char(1) NOT NULL default '0',
  `adm_email` varchar(40) default NULL,
  `adm_email2` varchar(40) default NULL,
  `use_link1` char(1) NOT NULL default '1',
  `use_link2` char(1) NOT NULL default '1',  
  `use_trboutput` char(1) NOT NULL default '0',
  `use_trbinput` char(1) NOT NULL default '0',
  `download_point` int(11) NOT NULL default '0',
  `authimg` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`no`),
  KEY `b_id` (`b_id`)
) 
";

$make_admin_ashgroup="
CREATE TABLE `admin_ashgroup` (
  `no` int(11) NOT NULL auto_increment,
  `admin_id` int(11) NOT NULL default '1',
  `name` varchar(50) default NULL,
  `header_file` varchar(100) default NULL,
  `footer_file` varchar(100) default NULL,
  `index` varchar(50) default NULL,
  PRIMARY KEY  (`no`)
) 
";

$make_ash_bbs_recommend="
CREATE TABLE `ash_bbs_recommend` (
  `recommend_bno` varchar(30) NOT NULL,
  `recommend_mno` text NOT NULL,
  PRIMARY KEY  (`recommend_bno`)
)
";

$make_ash_bbs_poll="
CREATE TABLE `ash_bbs_poll` (
  `poll_bno` varchar(30) NOT NULL,
  `poll_mno` text NOT NULL,
  PRIMARY KEY  (`poll_bno`)
)
";


$make_ashconfig="
CREATE TABLE `ash_config` (
  `use_sign_agree` char(1) NOT NULL default '0',
  `use_sign_photo` tinyint(4) NOT NULL default '0',
  `use_sign_motto` tinyint(4) NOT NULL default '0',
  `use_sign_name` char(1) NOT NULL default '1',
  `use_sign_hint` char(1) NOT NULL default '1',
  `use_sign_jumin` char(1) NOT NULL default '0',
  `use_sign_birthday` char(1) NOT NULL default '0',
  `use_sign_sex` char(1) NOT NULL default '0',
  `use_sign_address` char(1) NOT NULL default '0',
  `use_sign_phone` char(1) NOT NULL default '0',
  `use_sign_mobile` char(1) NOT NULL default '0',
  `use_sign_homepage` char(1) NOT NULL default '0',
  `use_sign_hobby` char(1) NOT NULL default '0',
  `use_sign_email` char(1) NOT NULL default '1',
  `use_sign_msn` char(1) NOT NULL default '1',
  `use_sign_authmail` char(1) NOT NULL default '0',
  `master_mail` varchar(60) default NULL,
  `master_name` varchar(20) default NULL,
  `mail_title` varchar(100) default NULL,
  `allow_view_cllv` tinyint(4) NOT NULL default '10',
  `allow_view_bllv` tinyint(4) NOT NULL default '10',
  `allow_view_sllv` tinyint(4) NOT NULL default '10',
  `use_blog` tinyint(4) NOT NULL default '1',
  `use_club` tinyint(4) NOT NULL default '1',
  `blog_name` varchar(20) default NULL,
  `club_name` varchar(20) default NULL,
  `blogmainskin` varchar(122) NOT NULL default 'numz',
  `clubmainskin` varchar(122) NOT NULL default 'numz',
  `secmainskin` varchar(122) NOT NULL default 'numz',
  `allow_authexec_lv` tinyint(4) NOT NULL default '9',
  `progcode` varchar(122) default NULL,
  `use_authexec` tinyint(4) NOT NULL default '0',
  `use_clubauthexec` tinyint(4) NOT NULL default '0',
  `use_secauthexec` tinyint(4) NOT NULL default '0',
  `ext1` varchar(120) default NULL,
  `ext2` varchar(120) default NULL,
  `ext3` varchar(120) default NULL,
  `ext4` varchar(120) default NULL,
  `ext5` varchar(120) default NULL,
  `ext6` varchar(120) default NULL,
  `ext7` varchar(120) default NULL,
  `use_ext1` char(1) default '0',
  `use_ext2` char(1) default '0',
  `use_ext3` char(1) default '0',
  `use_ext4` char(1) default '0',
  `use_ext5` char(1) default '0',
  `use_ext6` char(1) default '0',
  `use_ext7` char(1) default '0'  
) 
";

$make_ash_member="
CREATE TABLE `ash_member` (
  `no` int(11) NOT NULL auto_increment,
  `signout` int(11) NOT NULL default '0',
  `authmail` char(1) NOT NULL default '1',
  `authmail_val` varchar(50) NOT NULL default '0',
  `id` varchar(12) NOT NULL default '',
  `password` varchar(41) NOT NULL default '',
  `name` varchar(10) NOT NULL default '',
  `nick_name` varchar(20) NOT NULL default '',
  `sex` tinyint(4) NOT NULL default '1',
  `mb_point` int(11) unsigned NOT NULL default '0',
  `jumin1` varchar(6) default NULL,
  `jumin2` varchar(7) default NULL,
  `byear` varchar(4) default NULL,
  `bmonth` varchar(2) default NULL,
  `bday` varchar(2) default NULL,
  `btype` char(1) NOT NULL default '0',
  `level` char(1) NOT NULL default '9',
  `admin_level` char(1) NOT NULL default '9',
  `email` varchar(50) default NULL,
  `msn` varchar(50) default NULL,
  `homepage` varchar(100) default NULL,
  `hobby` varchar(40) default NULL,
  `mb_image` varchar(40) default NULL,
  `mp1` varchar(4) default NULL,
  `mp2` varchar(4) default NULL,
  `mp3` varchar(4) default NULL,
  `hp1` varchar(4) default NULL,
  `hp2` varchar(4) default NULL,
  `hp3` varchar(4) default NULL,
  `zip1` varchar(7) default NULL,
  `address` varchar(120) default NULL,
  `address2` varchar(120) default NULL,
  `signdate` int(11) NOT NULL default '0',
  `ip` varchar(20) default NULL,
  `findquestion` tinyint(4) NOT NULL default '0',
  `findanswer` varchar(40) default NULL,
  `allowmail` char(1) NOT NULL default '0',
  `motto` varchar(122) default NULL,
  `photo` varchar(50) default NULL,
  `open_name` tinyint(4) NOT NULL default '0',
  `open_sex` tinyint(4) NOT NULL default '0',
  `open_hobby` tinyint(4) NOT NULL default '0',
  `open_homepage` tinyint(4) NOT NULL default '0',
  `open_email` tinyint(4) NOT NULL default '0',
  `open_birthday` tinyint(4) NOT NULL default '0',
  `open_address` tinyint(4) NOT NULL default '0',
  `open_hp` tinyint(4) NOT NULL default '0',
  `open_mp` tinyint(4) NOT NULL default '0',
  `last_visit` int(11) NOT NULL default '0',
  `ext1` varchar(120) default NULL,
  `ext2` varchar(120) default NULL,
  `ext3` varchar(120) default NULL,
  `ext4` varchar(120) default NULL,
  `ext5` varchar(120) default NULL,
  `ext6` varchar(120) default NULL,
  `ext7` varchar(120) default NULL,  
  `open_ext1` CHAR(1) NOT NULL DEFAULT '0',
  `open_ext2` CHAR(1) NOT NULL DEFAULT '0',
  `open_ext3` CHAR(1) NOT NULL DEFAULT '0',
  `open_ext4` CHAR(1) NOT NULL DEFAULT '0',
  `open_ext5` CHAR(1) NOT NULL DEFAULT '0',
  `open_ext6` CHAR(1) NOT NULL DEFAULT '0',
  `open_ext7` CHAR(1) NOT NULL DEFAULT '0',

  PRIMARY KEY  (`no`),
  KEY `id` (`id`),
  KEY `nick_name` (`nick_name`),
  KEY `name` (`name`),
  KEY `email` (`email`),
  KEY `signout` (`signout`),
  KEY `level` (`level`),
  KEY `ip` (`ip`)
) 
";

$make_ash_memo="
CREATE TABLE `ash_memo` (
  `no` int(11) unsigned NOT NULL auto_increment,
  `send_mno` int(11) NOT NULL default '0',
  `accept_mno` int(11) NOT NULL default '0',
  `send_date` int(11) NOT NULL default '0',
  `read_date` int(11) NOT NULL default '0',
  `save_memo` char(1) NOT NULL default '0',
  `ash_title` varchar(120) default NULL,
  `ash_memo` text,
  PRIMARY KEY  (`no`),
  KEY `read_date` (`read_date`),
  KEY `send_mno` (`send_mno`),
  KEY `accept_mno` (`accept_mno`),
  KEY `save_memo` (`save_memo`),
  KEY `send_date` (`send_date`)
) 
";

$make_club_bbs_index="
CREATE TABLE `club_bbs_index` (
  `bw_word` varchar(30) NOT NULL default '',
  `bw_bno` text NOT NULL,
  KEY  (`bw_word`)
) 
";

$make_club_tag_index="
CREATE TABLE `club_tag_index` (
  `bw_no` int(11) NOT NULL auto_increment,
  `cl_id` varchar(12) default NULL,
  `bw_word` varchar(80) NOT NULL default '',
  `bw_bno` text NOT NULL,
  `bw_count` int(11) NOT NULL default '1',
  `bw_date` int(11) NOT NULL default '0',
  PRIMARY KEY  (`bw_no`),
  KEY `cl_id` (`cl_id`),
  KEY `bw_word` (`bw_word`),
  KEY `bw_date` (`bw_date`),
  KEY `bw_count` (`bw_count`)
) 
";

$make_club_category="
CREATE TABLE `club_category` (
  `no` int(10) unsigned NOT NULL auto_increment,
  `thread` int(11) NOT NULL default '0',
  `category` varchar(120) NOT NULL default '0',
  `count` int(11) unsigned NOT NULL default '0',
  `order` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`no`)
) 
";

$make_ash_focus="
CREATE TABLE `ash_focus` (
  `no` int(11) NOT NULL auto_increment,
  `focus_cldbname` varchar(10) default NULL,
  `focus_type` char(1) NOT NULL default '0',
  `focus_no` int(11) NOT NULL default '0',
  `focus_title` varchar(250) default NULL,
  `focus_image` varchar(250) default NULL,
  PRIMARY KEY  (`no`),
  KEY `focus_cldbname` (`focus_cldbname`),
  KEY `focus_no` (`focus_no`)
)
";

$make_club_image_index="
CREATE TABLE `club_image_index` (
  `bw_word` varchar(20) NOT NULL default '',
  `bw_bno` text NOT NULL,
  KEY  (`bw_word`)
) 
";

$make_club_list="
CREATE TABLE `club_list` (
  `cl_no` int(11) unsigned NOT NULL auto_increment,
  `cl_mno` int(11) unsigned NOT NULL default '0',
  `cl_mname` varchar(20) default NULL,
  `cl_exec` char(1) NOT NULL default '1',
  `cl_id` varchar(12) default NULL,
  `cl_bid` varchar(6) default NULL,
  `cl_name` varchar(120) default NULL,
  `cl_category1` smallint(6) NOT NULL default '0',
  `cl_category2` smallint(6) NOT NULL default '0',
  `cl_info` varchar(250) default NULL,
  `cl_type` char(1) NOT NULL default '2',
  `cl_mbcount` int(11) NOT NULL default '1',
  `cl_mkdate` int(11) NOT NULL default '0',
  `cl_daemun2` varchar(120) default NULL,
  `cl_postm_count` int(11) unsigned NOT NULL default '0',
  `cl_point` int(11) NOT NULL default '0',
  PRIMARY KEY  (`cl_no`),
  KEY `cl_mno` (`cl_mno`),
  KEY `cl_exec` (`cl_exec`),
  KEY `cl_id` (`cl_id`),
  KEY `cl_type` (`cl_type`),
  KEY `cl_point` (`cl_point`),
  KEY `cl_mbcount` (`cl_mbcount`),
  KEY `cl_category1` (`cl_category1`,`cl_point`),
  KEY `cate` (`cl_category1`,`cl_no`)
) 
";

$make_club_list_config="
CREATE TABLE `club_list_config` (
  `cl_id` varchar(12) NOT NULL default '',
  `cl_mno` int(11) NOT NULL default '0',
  `cl_talk` varchar(200) default NULL,
  `cl_menu_array` varchar(250) default NULL,
  `cl_menu_array2` text,
  `cl_menu_array3` text,
  `cl_menu_array4` text,
  `cl_menu_array5` text,
  `cl_menu_array6` varchar(250) default NULL,
  `cl_menu_array7` text,
  `cl_menu_array8` varchar(250) default NULL,
  `cl_hdtext` text,
  `cl_postcnt` tinyint(4) NOT NULL default '5',
  `cl_newpostcnt` tinyint(4) NOT NULL default '5',
  `cl_notice` tinyint(4) NOT NULL default '1',
  `cl_newpost` tinyint(4) NOT NULL default '1',
  `cl_newimage` tinyint(4) NOT NULL default '1',
  `cl_newfile` tinyint(4) NOT NULL default '1',
  `cl_skin` varchar(100) default NULL,
  `cl_mb_visit_count` int(11) unsigned NOT NULL default '0',
  `cl_gt_visit_count` int(11) unsigned NOT NULL default '0',
  `cl_last_visit_date` int(11) NOT NULL default '0',
  `cl_daemun` varchar(120) default NULL,
  `cl_indexpage` char(1) NOT NULL default '3',
  `cl_randhit` int(11) NOT NULL default '0',
  `cl_lottohit` int(11) NOT NULL default '0',
  `cl_postc_count` int(11) unsigned NOT NULL default '0',
  `cl_pds` int(11) NOT NULL default '0',
  `cl_guest_write_lv` int(11) NOT NULL default '9',
  `cl_scrap_count` int(11) NOT NULL default '0',
  `cl_menuvpcnt` tinyint(4) NOT NULL default '5',
  `cl_menuvisitcnt` tinyint(4) NOT NULL default '5',
  `cl_menulpcnt` tinyint(4) NOT NULL default '5',
  `cl_trackbackcnt` tinyint(4) NOT NULL default '5',
  `cl_authexec_lv` tinyint(4) NOT NULL default '9',
  `cl_progcode` varchar(20) default NULL,
  `cl_menutagcnt` tinyint(4) NOT NULL default '5',
  `cl_aftervisit` int(10) NOT NULL default '0',
  `cl_afterpost` smallint(6) NOT NULL default '0',
  `cl_afterreply` smallint(6) NOT NULL default '0',
  `cl_aftersign` smallint(6) NOT NULL default '0',
  `cl_background` varchar(250) default NULL,
  `cl_leftmenu` varchar(250) default 'h/i/m/h/c/s/h/r/t/v/l/x/h',
  `cl_rightmenu` varchar(250) default NULL,
  PRIMARY KEY  (`cl_id`),
  KEY `cl_mno` (`cl_mno`)
) 
";

$make_club_list_word="
CREATE TABLE `club_list_word` (
  `cw_no` int(11) NOT NULL auto_increment,
  `cw_word` varchar(40) default NULL,
  `cw_cl_no` text,
  PRIMARY KEY  (`cw_no`),
  KEY `cw_word` (`cw_word`)
) 
";

$make_club_log="
CREATE TABLE `club_log` (
  `cl_no` int(11) NOT NULL auto_increment,
  `cl_id` varchar(20) default NULL,
  `cl_mno` int(11) NOT NULL default '0',
  `cl_mname` varchar(40) default NULL,
  `cl_level` smallint(6) NOT NULL default '0',
  `cl_logdate` int(11) NOT NULL default '0',
  `cl_ip` varchar(30) default NULL,
  `cl_referer` varchar(120) default NULL,
  `cl_agent` varchar(120) default NULL,
  `cl_randhit` smallint(6) NOT NULL default '0',
  `cl_lottohit` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`cl_no`),
  KEY `cl_mno` (`cl_mno`),
  KEY `cl_logdate` (`cl_logdate`),
  KEY `cl_level` (`cl_level`),
  KEY `cl_id` (`cl_id`)
) 
";

$make_club_log_date="
CREATE TABLE `club_log_date` (
  `cld_divdate` int(11) NOT NULL default '0',
  `cld_mbcon` int(11) NOT NULL default '0',
  `cld_gtcon` int(11) NOT NULL default '0'
) 
";

$make_club_member="
CREATE TABLE `club_member` (
  `cm_no` int(11) NOT NULL auto_increment,
  `cm_view` tinyint(4) NOT NULL default '1',
  `cm_allow` smallint(6) NOT NULL default '0',
  `cm_startdate` int(11) NOT NULL default '0',
  `cm_mno` int(11) NOT NULL default '0',
  `cm_mid` varchar(10) default NULL,
  `cm_mname` varchar(20) NOT NULL default '',
  `cm_level` smallint(6) NOT NULL default '10',
  `cm_postm_count` int(11) NOT NULL default '0',
  `cm_postc_count` int(11) NOT NULL default '0',
  `cm_cl_id` varchar(10) default NULL,
  `cm_regdate` int(11) NOT NULL default '0',
  `cm_lastdate` int(11) NOT NULL default '0',
  `cm_visitcnt` int(11) NOT NULL default '0',
  PRIMARY KEY  (`cm_no`),
  KEY `cm_cl_id` (`cm_cl_id`),
  KEY `cm_regdate` (`cm_regdate`),
  KEY `cm_lastdate` (`cm_lastdate`),
  KEY `cm_visitcnt` (`cm_visitcnt`),
  KEY `cm_mid` (`cm_mid`),
  KEY `cm_mno` (`cm_mno`),
  KEY `cm_view` (`cm_view`)
) 
";

$make_club_rank="
CREATE TABLE `club_rank` (
  `cr_rank` int(11) NOT NULL default '0',
  `cr_pastrank` int(11) NOT NULL default '0',
  `cl_no` int(11) NOT NULL default '0',
  `cl_name` varchar(140) default NULL,
  `cl_id` varchar(10) default NULL,
  `cl_postm_count` int(11) NOT NULL default '0',
  `cl_mbcount` int(11) NOT NULL default '0',
  `cl_category1` smallint(6) NOT NULL default '0',
  `cl_category2` smallint(6) NOT NULL default '0',
  KEY  (`cr_rank`),
  KEY `cl_no` (`cl_no`),
  KEY `cl_category1` (`cl_category1`),
  KEY `cl_category2` (`cl_category2`)
) 
";







$make_blog_bbs_index="
CREATE TABLE `blog_bbs_index` (
  `bw_word` varchar(40) NOT NULL default '',
  `bw_bno` text NOT NULL,
  KEY  (`bw_word`)
) 
";

$make_blog_tag_index="
CREATE TABLE `blog_tag_index` (
  `bw_no` int(11) NOT NULL auto_increment,
  `cl_id` varchar(12) default NULL,
  `bw_word` varchar(80) NOT NULL default '',
  `bw_bno` text NOT NULL,
  `bw_count` int(11) NOT NULL default '1',
  `bw_date` int(11) NOT NULL default '0',
  PRIMARY KEY  (`bw_no`),
  KEY `cl_id` (`cl_id`),
  KEY `bw_word` (`bw_word`),
  KEY `bw_date` (`bw_date`),
  KEY `bw_count` (`bw_count`)
) 
";


$make_blog_category="
CREATE TABLE `blog_category` (
  `no` int(10) unsigned NOT NULL auto_increment,
  `thread` int(11) NOT NULL default '0',
  `category` varchar(120) NOT NULL default '0',
  `count` int(11) unsigned NOT NULL default '0',
  `order` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`no`)
) 
";

$make_blog_focus="
CREATE TABLE `blog_focus` (
  `no` int(11) NOT NULL auto_increment,
  `bno` int(11) NOT NULL default '0',
  `btitle` varchar(122) default NULL,
  `dir_fname` varchar(122) default NULL,
  `cl_mname` varchar(20) default NULL,
  `cl_id` varchar(12) default NULL,
  `cl_name` varchar(120) default NULL,
  `cl_category2` smallint(6) NOT NULL default '0',
  `cl_info` varchar(200) default NULL,
  `cl_type` char(1) NOT NULL default '2',
  `cl_mbcount` int(11) NOT NULL default '1',
  `cl_mkdate` int(11) NOT NULL default '0',
  `cl_daemun2` varchar(100) default NULL,
  PRIMARY KEY  (`no`),
  KEY `bno` (`bno`),
  KEY `cl_id` (`cl_id`)
) 
";
$make_blog_image_index="
CREATE TABLE `blog_image_index` (
  `bw_word` varchar(40) NOT NULL default '',
  `bw_bno` text NOT NULL,
  KEY  (`bw_word`)
) 
";

$make_blog_list="
CREATE TABLE `blog_list` (
  `cl_no` int(11) unsigned NOT NULL auto_increment,
  `cl_mno` int(11) unsigned NOT NULL default '0',
  `cl_mname` varchar(20) default NULL,
  `cl_exec` char(1) NOT NULL default '1',
  `cl_id` varchar(12) default NULL,
  `cl_bid` varchar(6) default NULL,
  `cl_name` varchar(120) default NULL,
  `cl_category1` smallint(6) NOT NULL default '0',
  `cl_category2` smallint(6) NOT NULL default '0',
  `cl_info` varchar(250) default NULL,
  `cl_type` char(1) NOT NULL default '2',
  `cl_mbcount` int(11) NOT NULL default '1',
  `cl_mkdate` int(11) NOT NULL default '0',
  `cl_daemun2` varchar(120) default NULL,
  `cl_postm_count` int(11) unsigned NOT NULL default '0',
  `cl_point` int(11) NOT NULL default '0',
  PRIMARY KEY  (`cl_no`),
  KEY `cl_mno` (`cl_mno`),
  KEY `cl_exec` (`cl_exec`),
  KEY `cl_id` (`cl_id`),
  KEY `cl_type` (`cl_type`),
  KEY `cl_category1` (`cl_category1`,`cl_point`),
  KEY `cate` (`cl_category1`,`cl_no`),
  KEY `cl_point` (`cl_point`)
) 
";

$make_blog_list_config="
CREATE TABLE `blog_list_config` (
  `cl_id` varchar(12) NOT NULL default '',
  `cl_mno` int(11) NOT NULL default '0',
  `cl_talk` varchar(120) default NULL,
  `cl_menu_array` varchar(250) default NULL,
  `cl_menu_array2` text,
  `cl_menu_array3` text,
  `cl_menu_array4` text,
  `cl_menu_array5` text,
  `cl_menu_array6` varchar(250) default NULL,
  `cl_menu_array7` text,
  `cl_menu_array8` varchar(250) default NULL,
  `cl_postcnt` tinyint(4) NOT NULL default '5',
  `cl_skin` varchar(100) default NULL,
  `cl_mb_visit_count` int(11) unsigned NOT NULL default '0',
  `cl_gt_visit_count` int(11) unsigned NOT NULL default '0',
  `cl_last_visit_date` int(11) NOT NULL default '0',
  `cl_daemun` varchar(120) default NULL,
  `cl_indexpage` char(1) NOT NULL default '3',
  `cl_randhit` int(11) NOT NULL default '0',
  `cl_lottohit` int(11) NOT NULL default '0',
  `cl_postc_count` int(11) unsigned NOT NULL default '0',
  `cl_pds` int(11) NOT NULL default '0',
  `cl_guest_write_lv` int(11) NOT NULL default '9',
  `cl_scrap_count` int(11) NOT NULL default '0',
  `cl_photologcnt` tinyint(4) NOT NULL default '3',
  `cl_menuvpcnt` tinyint(4) NOT NULL default '5',
  `cl_menuvisitcnt` tinyint(4) NOT NULL default '5',
  `cl_menulpcnt` tinyint(4) NOT NULL default '5',
  `cl_trackbackcnt` tinyint(4) NOT NULL default '5',
  `cl_menutagcnt` tinyint(4) NOT NULL default '5',
  `cl_aftervisit` int(10) NOT NULL default '0',
  `cl_afterpost` smallint(6) NOT NULL default '0',
  `cl_afterreply` smallint(6) NOT NULL default '0',
  `cl_background` varchar(250) default NULL,  
  `cl_leftmenu` varchar(250) default 'h/i/m/h/c/s/w/h/r/t/v/l/x/h',
  `cl_rightmenu` varchar(250) default NULL,  
  PRIMARY KEY  (`cl_id`),
  KEY `cl_mno` (`cl_mno`)
) 
";


$make_blog_list_word="
CREATE TABLE `blog_list_word` (
  `cw_no` int(11) NOT NULL auto_increment,
  `cw_word` varchar(40) default NULL,
  `cw_cl_no` text,
  PRIMARY KEY  (`cw_no`),
  KEY `cw_word` (`cw_word`)
) 
";

$make_blog_log="
CREATE TABLE `blog_log` (
  `cl_no` int(11) NOT NULL auto_increment,
  `cl_id` varchar(20) default NULL,
  `cl_mno` int(11) NOT NULL default '0',
  `cl_mname` varchar(20) default NULL,
  `cl_level` smallint(6) NOT NULL default '0',
  `cl_logdate` int(11) NOT NULL default '0',
  `cl_ip` varchar(30) default NULL,
  `cl_referer` varchar(120) default NULL,
  `cl_agent` varchar(120) default NULL,
  `cl_randhit` smallint(6) NOT NULL default '0',
  `cl_lottohit` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`cl_no`),
  KEY `cl_mno` (`cl_mno`),
  KEY `cl_logdate` (`cl_logdate`),
  KEY `cl_level` (`cl_level`),
  KEY `cl_id` (`cl_id`)
) 
";

$make_blog_log_date="
CREATE TABLE `blog_log_date` (
  `cld_divdate` int(11) NOT NULL default '0',
  `cld_mbcon` int(11) NOT NULL default '0',
  `cld_gtcon` int(11) NOT NULL default '0'
) 
";
$make_blog_member="
CREATE TABLE `blog_member` (
  `cm_no` int(11) NOT NULL auto_increment,
  `cm_view` tinyint(4) NOT NULL default '1',
  `cm_allow` smallint(6) NOT NULL default '0',
  `cm_startdate` int(11) NOT NULL default '0',
  `cm_mno` int(11) NOT NULL default '0',
  `cm_mid` varchar(10) default NULL,
  `cm_mname` varchar(20) NOT NULL default '',
  `cm_level` smallint(6) NOT NULL default '10',
  `cm_postm_count` int(11) NOT NULL default '0',
  `cm_postc_count` int(11) NOT NULL default '0',
  `cm_cl_id` varchar(10) default NULL,
  `cm_regdate` int(11) NOT NULL default '0',
  `cm_lastdate` int(11) NOT NULL default '0',
  `cm_visitcnt` int(11) NOT NULL default '0',
  PRIMARY KEY  (`cm_no`),
  KEY `cm_cl_id` (`cm_cl_id`),
  KEY `cm_regdate` (`cm_regdate`),
  KEY `cm_lastdate` (`cm_lastdate`),
  KEY `cm_visitcnt` (`cm_visitcnt`),
  KEY `cm_mid` (`cm_mid`),
  KEY `cm_mno` (`cm_mno`),
  KEY `cm_view` (`cm_view`)
) 
";

$make_blog_rank="
CREATE TABLE `blog_rank` (
  `cr_rank` int(11) NOT NULL default '0',
  `cr_pastrank` int(11) NOT NULL default '0',
  `cl_no` int(11) NOT NULL default '0',
  `cl_name` varchar(120) default NULL,
  `cl_id` varchar(10) default NULL,
  `cl_postm_count` int(11) NOT NULL default '0',
  `cl_mbcount` int(11) NOT NULL default '0',
  `cl_category1` smallint(6) NOT NULL default '0',
  `cl_category2` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`cr_rank`),
  KEY `cl_no` (`cl_no`),
  KEY `cl_category1` (`cl_category1`),
  KEY `cl_category2` (`cl_category2`)
) 
";










$make_sec_bbs_index="
CREATE TABLE `sec_bbs_index` (
  `bw_word` varchar(40) NOT NULL default '',
  `bw_bno` text NOT NULL,
  KEY  (`bw_word`)
) 
";

$make_sec_tag_index="
CREATE TABLE `sec_tag_index` (
  `bw_no` int(11) NOT NULL auto_increment,
  `cl_id` varchar(12) default NULL,
  `bw_word` varchar(80) NOT NULL default '',
  `bw_bno` text NOT NULL,
  `bw_count` int(11) NOT NULL default '1',
  `bw_date` int(11) NOT NULL default '0',
  PRIMARY KEY  (`bw_no`),
  KEY `cl_id` (`cl_id`),
  KEY `bw_word` (`bw_word`),
  KEY `bw_date` (`bw_date`),
  KEY `bw_count` (`bw_count`)
) 
";


$make_sec_category="
CREATE TABLE `sec_category` (
  `no` int(10) unsigned NOT NULL auto_increment,
  `thread` int(11) NOT NULL default '0',
  `category` varchar(120) NOT NULL default '0',
  `count` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`no`)
) 
";

$make_sec_focus="
CREATE TABLE `sec_focus` (
  `no` int(11) NOT NULL auto_increment,
  `bno` int(11) NOT NULL default '0',
  `btitle` varchar(122) default NULL,
  `dir_fname` varchar(122) default NULL,
  `cl_mname` varchar(20) default NULL,
  `cl_id` varchar(12) default NULL,
  `cl_name` varchar(120) default NULL,
  `cl_category2` smallint(6) NOT NULL default '0',
  `cl_info` varchar(200) default NULL,
  `cl_type` char(1) NOT NULL default '2',
  `cl_mbcount` int(11) NOT NULL default '1',
  `cl_mkdate` int(11) NOT NULL default '0',
  `cl_daemun2` varchar(100) default NULL,
  PRIMARY KEY  (`no`),
  KEY `bno` (`bno`),
  KEY `cl_id` (`cl_id`)
) 
";
$make_sec_image_index="
CREATE TABLE `sec_image_index` (
  `bw_word` varchar(40) NOT NULL default '',
  `bw_bno` text NOT NULL,
  KEY  (`bw_word`)
) 
";

$make_sec_list="
CREATE TABLE `sec_list` (
  `cl_no` int(11) unsigned NOT NULL auto_increment,
  `cl_mno` int(11) unsigned NOT NULL default '0',
  `cl_mname` varchar(20) default NULL,
  `cl_exec` char(1) NOT NULL default '1',
  `cl_id` varchar(12) default NULL,
  `cl_bid` varchar(6) default NULL,
  `cl_name` varchar(120) default NULL,
  `cl_category1` smallint(6) NOT NULL default '0',
  `cl_category2` smallint(6) NOT NULL default '0',
  `cl_info` varchar(250) default NULL,
  `cl_type` char(1) NOT NULL default '2',
  `cl_mbcount` int(11) NOT NULL default '1',
  `cl_mkdate` int(11) NOT NULL default '0',
  `cl_daemun2` varchar(120) default NULL,
  `cl_postm_count` int(11) unsigned NOT NULL default '0',
  `cl_point` int(11) NOT NULL default '0',
  `cl_limit1` char(1) NOT NULL default '0',
  `cl_limit2` smallint(6) NOT NULL default '0',
  
  PRIMARY KEY  (`cl_no`),
  KEY `cl_mno` (`cl_mno`),
  KEY `cl_exec` (`cl_exec`),
  KEY `cl_id` (`cl_id`),
  KEY `cl_type` (`cl_type`),
  KEY `cl_category1` (`cl_category1`,`cl_point`),
  KEY `cate` (`cl_category1`,`cl_no`),
  KEY `cl_point` (`cl_point`)
) 
";

$make_sec_list_config="
CREATE TABLE `sec_list_config` (
  `cl_id` varchar(12) NOT NULL default '',
  `cl_mno` int(11) NOT NULL default '0',
  `cl_talk` varchar(120) default NULL,
  `cl_menu_array` varchar(250) default NULL,
  `cl_menu_array2` text,
  `cl_menu_array3` text,
  `cl_menu_array4` text,
  `cl_menu_array5` text,
  `cl_menu_array6` varchar(250) default NULL,
  `cl_menu_array7` text,
  `cl_menu_array8` varchar(250) default NULL,
  `cl_hdtext` text,
  `cl_postcnt` tinyint(4) NOT NULL default '5',
  `cl_skin` varchar(100) default NULL,
  `cl_mb_visit_count` int(11) unsigned NOT NULL default '0',
  `cl_gt_visit_count` int(11) unsigned NOT NULL default '0',
  `cl_last_visit_date` int(11) NOT NULL default '0',
  `cl_daemun` varchar(120) default NULL,
  `cl_indexpage` char(1) NOT NULL default '3',
  `cl_randhit` int(11) NOT NULL default '0',
  `cl_lottohit` int(11) NOT NULL default '0',
  `cl_postc_count` int(11) unsigned NOT NULL default '0',
  `cl_pds` int(11) NOT NULL default '0',
  `cl_guest_write_lv` int(11) NOT NULL default '9',
  `cl_scrap_count` int(11) NOT NULL default '0',
  `cl_menuvpcnt` tinyint(4) NOT NULL default '5',
  `cl_menuvisitcnt` tinyint(4) NOT NULL default '5',
  `cl_menulpcnt` tinyint(4) NOT NULL default '5',
  `cl_trackbackcnt` tinyint(4) NOT NULL default '5',
  `cl_authexec_lv` tinyint(4) NOT NULL default '9',
  `cl_progcode` varchar(20) default NULL,
  `cl_menutagcnt` tinyint(4) NOT NULL default '5',
  `cl_leftmenu` varchar(255) default 'h/i/m/h/c/s/h/r/t/v/l/x/h',
  `cl_rightmenu` varchar(255) default NULL,
  `cl_indexmenu` varchar(255) default 'n',
    
  PRIMARY KEY  (`cl_id`),
  KEY `cl_mno` (`cl_mno`)
) 
";


$make_sec_list_word="
CREATE TABLE `sec_list_word` (
  `cw_no` int(11) NOT NULL auto_increment,
  `cw_word` varchar(40) default NULL,
  `cw_cl_no` text,
  PRIMARY KEY  (`cw_no`),
  KEY `cw_word` (`cw_word`)
) 
";

$make_sec_log="
CREATE TABLE `sec_log` (
  `cl_no` int(11) NOT NULL auto_increment,
  `cl_id` varchar(20) default NULL,
  `cl_mno` int(11) NOT NULL default '0',
  `cl_mname` varchar(40) default NULL,
  `cl_level` smallint(6) NOT NULL default '0',
  `cl_logdate` int(11) NOT NULL default '0',
  `cl_ip` varchar(30) default NULL,
  `cl_referer` varchar(120) default NULL,
  `cl_agent` varchar(120) default NULL,
  `cl_randhit` smallint(6) NOT NULL default '0',
  `cl_lottohit` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`cl_no`),
  KEY `cl_mno` (`cl_mno`),
  KEY `cl_logdate` (`cl_logdate`),
  KEY `cl_level` (`cl_level`),
  KEY `cl_id` (`cl_id`)
) 
";

$make_sec_log_date="
CREATE TABLE `sec_log_date` (
  `cld_divdate` int(11) NOT NULL default '0',
  `cld_mbcon` int(11) NOT NULL default '0',
  `cld_gtcon` int(11) NOT NULL default '0'
) 
";
$make_sec_member="
CREATE TABLE `sec_member` (
  `cm_no` int(11) NOT NULL auto_increment,
  `cm_view` tinyint(4) NOT NULL default '1',
  `cm_allow` smallint(6) NOT NULL default '0',
  `cm_startdate` int(11) NOT NULL default '0',
  `cm_mno` int(11) NOT NULL default '0',
  `cm_mid` varchar(10) default NULL,
  `cm_mname` varchar(20) NOT NULL default '',
  `cm_level` smallint(6) NOT NULL default '10',
  `cm_postm_count` int(11) NOT NULL default '0',
  `cm_postc_count` int(11) NOT NULL default '0',
  `cm_cl_id` varchar(10) default NULL,
  `cm_regdate` int(11) NOT NULL default '0',
  `cm_lastdate` int(11) NOT NULL default '0',
  `cm_visitcnt` int(11) NOT NULL default '0',
  PRIMARY KEY  (`cm_no`),
  KEY `cm_cl_id` (`cm_cl_id`),
  KEY `cm_regdate` (`cm_regdate`),
  KEY `cm_lastdate` (`cm_lastdate`),
  KEY `cm_visitcnt` (`cm_visitcnt`),
  KEY `cm_mid` (`cm_mid`),
  KEY `cm_mno` (`cm_mno`),
  KEY `cm_view` (`cm_view`)
) 
";

$make_search_rank="
CREATE TABLE `search_rank` (
  `cs_word` varchar(40) NOT NULL default '',
  `cs_count` int(11) NOT NULL default '0',
  `cs_date` int(11) NOT NULL default '0',
  KEY `cs_word` (`cs_word`),
  KEY `cs_count` (`cs_count`),
  KEY `cs_date` (`cs_date`)
) 
";

$make_zipcode="
CREATE TABLE `zipcode` (
  `seq` int(11) NOT NULL default '0',
  `zipcode` varchar(7) NOT NULL default '',
  `sido` varchar(20) NOT NULL default '',
  `gugun` varchar(20) NOT NULL default '',
  `dong` varchar(60) NOT NULL default '',
  `bunji` varchar(50) NOT NULL default '',
  KEY `dong` (`dong`)
) 
";

$make_song_list="
CREATE TABLE `ash_song_list` (
  `bgm_no` int(11) NOT NULL auto_increment,
  `bgm_svc` varchar(12) NOT NULL,
  `bgm_cl_id` varchar(12) NOT NULL,
  `bgm_dir_fname` varchar(250) NOT NULL,
  `bgm_singer` varchar(250) NOT NULL,
  `bgm_title` varchar(250) NOT NULL,
  `bgm_order` smallint(6) NOT NULL,
  PRIMARY KEY  (`bgm_no`),
  KEY `bgm_title` (`bgm_title`),
  KEY `bgm_svc` (`bgm_svc`),
  KEY `bgm_cl_id` (`bgm_cl_id`,`bgm_order`)
)
";

$make_plugin="
CREATE TABLE `ash_plugin` (
  `pl_name` varchar(255) default NULL,
  `pl_exec` char(1) NOT NULL default '0',
  `pl_info` varchar(255) default NULL,
  `pl_mode` varchar(255) default NULL
)
";


?>
